#!/usr/local/bin/gnuplot -persist
set terminal pdf enhanced
set output 'fig/rank-balance-rca1024.pdf'

#set terminal pngcairo size 800,400

set loadpath './'
load 'palette.pal'


set border 3 front lt black linewidth 1.000 dashtype solid
set boxwidth 0.8 absolute
set style fill solid 1.00 noborder
set grid nopolar
set grid noxtics nomxtics ytics nomytics noztics nomztics nortics nomrtics \
 nox2tics nomx2tics noy2tics nomy2tics nocbtics nomcbtics
set grid layerdefault  lt 0 linecolor 0 linewidth 0.500,  lt 0 linecolor 0 linewidth 0.500
set key bmargin center horizontal Left reverse noenhanced autotitle columnhead nobox

set style histogram clustered title textcolor lt -1 offset character 2, 0.2
unset parametric
set datafile missing '-'
set style data histograms
set xtics border in scale 0,0 nomirror  autojustify
#set xtics  norangelimit  font ",8"
set xtics   ()
set ytics border in scale 0,0 mirror norotate  autojustify
set ytics norangelimit autofreq  font ",8"
set ztics border in scale 0,0 nomirror norotate  autojustify
set cbtics border in scale 0,0 mirror norotate  autojustify
set rtics axis in scale 0,0 nomirror norotate  autojustify

# Set the labels for the X and Y axes and the title of the graph
set xlabel 'Rank'
set ylabel 'Time per iteration'
set title "Rank balance"

# Set the range of the Y-axis and the format of the labels
set yrange [0:*]
set format y '%.2f s'

set colorbox vertical origin screen 0.9, 0.2 size screen 0.05, 0.6 front  noinvert bdefault

set datafile separator ','

set title "Rank balance with 16 ranks [RCA 1024]"


plot './data/RCA-solid-1024-idun/lbm-perf-r16.csv' \
  using 5:xticlabels(1) lc rgb color8 title 'Collide', \
  '' using 6 lc rgb color6 title 'Stream', \
  '' using 7 lc rgb color4 title 'Border exchange'

#set xrange [-0.5:4.5]

#plot './data/RCA-solid-1024-idun-comb.csv' \
  #using (column(0)):6:7:xticlabels(1) lc rgb color8 title '' with errorbars

set output
